package com.eactive.eai.common.inflow;

import org.springframework.stereotype.Component;

import com.eactive.eai.common.util.ApplicationContextProvider;

@Component
public class InflowControlManager extends AbstractInflowControlManager {

	public static synchronized InflowControlManager getInstance() {
		return ApplicationContextProvider.getContext().getBean(InflowControlManager.class);
	}

	public static synchronized Bucket getBucket() {
		return ApplicationContextProvider.getContext().getBean(InflowControlManager.class);
	}
}
